public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Ondrej Mosnacek <omosnace@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: semodule-rebuild-if-modules-changed: fix RHEL version check (take 2)
Date: Fri, 11 Sep 2026 13:20:35 GMT [thread overview]
Message-ID: <178913283583.1.13058200061883731625.tests-selinux-2c82db3d51bd@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 2c82db3d51bda397b24c27f75e2e15038eb15dc0
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2023-03-24T10:15:21+01:00
Stats : +2/-2 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/2c82db3d51bda397b24c27f75e2e15038eb15dc0?branch=pr775-checkpolicy-revdeps
Log:
semodule-rebuild-if-modules-changed: fix RHEL version check (take 2)
Rework the conditional so that the new part of the test runs everywhere
except specified old version cases. Before this it wouldn't be run on
Fedora, CentOS, or RHEL>=10.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh b/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
index 5e6063d..5347206 100755
--- a/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
+++ b/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
@@ -117,8 +117,8 @@ rlJournalStart
"Force a rebuild to clean things up"
rlPhaseEnd
- if { rlIsRHEL 9 && rlIsRHEL '>=9.3'; } || \
- { rlIsRHEL 8 && rlIsRHEL '>=8.9'; }
+ if ! { rlIsRHEL 9 && rlIsRHEL '<9.3'; } && \
+ ! { rlIsRHEL 8 && rlIsRHEL '<8.9'; }
then
rlPhaseStartTest "Disable dontaudit injected"
rlLog "Inject disable_dontaudit flag into the store"
reply other threads:[~2026-09-11 13:20 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913283583.1.13058200061883731625.tests-selinux-2c82db3d51bd@fedoraproject.org \
--to=omosnace@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox